commit:     8019b73d7626a45f5da4cff44729f8a142933094
Author:     Ekaterina Vaartis <vaartis <AT> kotobank <DOT> ch>
AuthorDate: Mon Mar 11 07:41:31 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 09:54:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8019b73d

media-gfx/hydrus: Add 565, rename dist files

Signed-off-by: Ekaterina Vaartis <vaartis <AT> kotobank.ch>
Closes: https://github.com/gentoo/gentoo/pull/34030
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/hydrus/Manifest                          |   3 +
 .../hydrus/files/userpath-in-local-share.patch     |  13 +-
 media-gfx/hydrus/hydrus-565.ebuild                 | 155 +++++++++++++++++++++
 3 files changed, 165 insertions(+), 6 deletions(-)

diff --git a/media-gfx/hydrus/Manifest b/media-gfx/hydrus/Manifest
index e69de29bb2d1..78d8b5ae805d 100644
--- a/media-gfx/hydrus/Manifest
+++ b/media-gfx/hydrus/Manifest
@@ -0,0 +1,3 @@
+DIST hydrus-3500-mpeg-error.patch 1632 BLAKE2B 
9cc969a3a2d476ea606f3f280ecd6e4cc7f628420586e651377945d370a6c50464b118da1c96a577bc55b13bbac946801b9cff251922299f91e4a76dabf7edf9
 SHA512 
8769d63c7b2a345e1a7bfa0dae200bca03b991ef6a217150e3f50c95f3d1235305242348aa8fabf1183fc3d787498bbead8a96145e4cdd2251f67032469f095c
+DIST hydrus-565.tar.gz 46360280 BLAKE2B 
7a9492db917b7f7d10fd92c668dff2206111b5734a707ea86e8d3f5c95359126da31e3bd6fdcea64c621527f5a30e608fdf8cd36b7b7b70185a37c3cc7483180
 SHA512 
442dde4c9e557c162b8a5cc23f22472d8c48d7717513a192875b413a59000897c05b2b050c16ad480cdbb18548485f51b5e8651e44cb2057fc8e6eb1b99e8f26
+DIST hydrus-test-fixes.patch 820 BLAKE2B 
9d912868142cd3e7763241652e81172236094de6d0cf4df888d7203d34ed37b469c4829401a6e3bda945e3683db9f8e577ef21040cb5d57b0e6c01c2c619655b
 SHA512 
a6a322a77638122fdd1f74ca57c23360aa8d58d97877e9517db9d185c11a8187e807b9478533a97a4654d58342b0541cc7eb89b83075bc4c38ceda0effe06ce0

diff --git a/media-gfx/hydrus/files/userpath-in-local-share.patch 
b/media-gfx/hydrus/files/userpath-in-local-share.patch
index 8b4c12be071e..02fe25868ecc 100644
--- a/media-gfx/hydrus/files/userpath-in-local-share.patch
+++ b/media-gfx/hydrus/files/userpath-in-local-share.patch
@@ -1,12 +1,13 @@
 diff --git a/hydrus/core/HydrusConstants.py b/hydrus/core/HydrusConstants.py
-index 05fff23..d68fc06 100644
+index 43a2bc8..c62943e 100644
 --- a/hydrus/core/HydrusConstants.py
 +++ b/hydrus/core/HydrusConstants.py
-@@ -67,6 +67,7 @@ if USERPATH_DB_DIR == desired_userpath_db_dir:
+@@ -85,7 +85,7 @@ else:
+     desired_userpath_db_dir = os.path.join( '~', 'Hydrus' )
      
-     USERPATH_DB_DIR = None
-     
-+USERPATH_DB_DIR = os.path.expanduser ( os.path.join( '~', '.local', 'share', 
'hydrus', 'db' ) )
  
- LICENSE_PATH = os.path.join( BASE_DIR, 'license.txt' )
+-USERPATH_DB_DIR = os.path.expanduser( desired_userpath_db_dir )
++USERPATH_DB_DIR = os.path.expanduser ( os.path.join( '~', '.local', 'share', 
'hydrus', 'db' ) )
  
+ if USERPATH_DB_DIR == desired_userpath_db_dir:
+     

diff --git a/media-gfx/hydrus/hydrus-565.ebuild 
b/media-gfx/hydrus/hydrus-565.ebuild
new file mode 100644
index 000000000000..1fd94b6ee116
--- /dev/null
+++ b/media-gfx/hydrus/hydrus-565.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite"
+
+DOCS_BUILDER=mkdocs
+DOCS_DEPEND="dev-python/mkdocs-material dev-python/regex"
+
+inherit python-single-r1 desktop docs optfeature
+
+DESCRIPTION="A booru-like media organizer for the desktop"
+HOMEPAGE="https://hydrusnetwork.github.io/hydrus/ 
https://github.com/hydrusnetwork/hydrus";
+
+if [[ "${PV}" == "9999" ]]; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/hydrusnetwork/hydrus.git";
+else
+       SRC_URI="
+               https://github.com/hydrusnetwork/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+               
https://github.com/vaartis/hydrus/commit/5d2505a1eb4721f7750861f7622c46adec31db8b.diff
 -> hydrus-3500-mpeg-error.patch
+               
https://github.com/vaartis/hydrus/commit/dc20196f47ac29568a40cd04a45cf4fc5f237603.diff
 -> hydrus-test-fixes.patch
+"
+
+       KEYWORDS="~amd64"
+fi
+
+# hydrus itself is WTFPL
+# icons included are CC-BY-2.5
+LICENSE="WTFPL-2 CC-BY-2.5"
+SLOT="0"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+# RDEPEND is sorted as such:
+# Python libraries with no specific requirements
+# Python libraries with specific version, slot, or use requirements
+# Non-python dependencies
+RDEPEND="
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+               dev-python/cbor2[${PYTHON_USEDEP}]
+               dev-python/chardet[${PYTHON_USEDEP}]
+               dev-python/cloudscraper[${PYTHON_USEDEP}]
+               dev-python/html5lib[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pillow[${PYTHON_USEDEP},lcms]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pyopenssl[${PYTHON_USEDEP}]
+               dev-python/python-mpv[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/send2trash[${PYTHON_USEDEP}]
+               dev-python/service-identity[${PYTHON_USEDEP}]
+               dev-python/twisted[${PYTHON_USEDEP}]
+
+               dev-python/QtPy[widgets,gui,svg,multimedia,${PYTHON_USEDEP}]
+               || ( dev-python/QtPy[pyside2] dev-python/QtPy[pyside6] )
+
+               media-libs/opencv[python,png,jpeg,${PYTHON_USEDEP}]
+               media-video/ffmpeg
+       ')
+"
+BDEPEND="
+       ${RDEPEND}
+       $(python_gen_cond_dep '
+               test? (
+                       dev-python/httmock[${PYTHON_USEDEP}]
+                       dev-python/mock[${PYTHON_USEDEP}]
+               )
+       ')
+"
+
+PATCHES=(
+       "${FILESDIR}/userpath-in-local-share.patch"
+       "${DISTDIR}/hydrus-3500-mpeg-error.patch"
+       "${DISTDIR}/hydrus-test-fixes.patch"
+)
+
+src_prepare() {
+       default
+
+       # Contains pre-built binaries for other systems and a broken swf 
renderer for linux
+       rm -r bin/ || die
+       # Python requirements file, not needed
+       rm requirements.txt || die
+       # Remove unneeded additional scripts
+       rm *.command *.sh *.bat || die
+}
+
+src_compile() {
+       python_optimize "${S}"
+       docs_compile
+}
+
+src_test() {
+       # The tests use unittest, but are run with a custom runner script.
+       # QT_QPA_PLATFORM is required to make them run without X
+       local -x QT_QPA_PLATFORM=offscreen
+       "${EPYTHON}" "${S}/hydrus_test.py" || die "Tests failed"
+}
+
+src_install() {
+       local doc="${EPREFIX}/usr/share/doc/${PF}"
+       elog "Hydrus includes an excellent manual, that can either be viewed at"
+       elog "${doc}/html/help/index.html"
+       elog "or accessed through the hydrus help menu."
+
+       mv "help my client will not boot.txt" 
"help_my_client_will_not_boot.txt" || die
+
+       local DOCS=(COPYING README.md help_my_client_will_not_boot.txt db/)
+       einstalldocs
+
+       # Files only needed for testing
+       rm hydrus_test.py hydrus/hydrus_test_boot.py || die
+       rm -r hydrus/test/ static/testing/ || die
+       # Build files used for CI and development, not actually needed. Has to 
be deleted after src_compile.
+       # because it contains documentation
+       rm -r static/build_files static/requirements || die
+
+       # ${DOCS[@]} files are copied into doc
+       # ${S}/docs/ is the markdown source code for documentation
+       # .gitignore/.github files aren't needed for the program to work, same 
with mkdocs files
+       rm -r "${DOCS[@]}" "${S}/docs/" .gitignore .github/ mkdocs.yml 
mkdocs-gh-pages.yml || die
+       if use doc; then
+               # ${S}/_build = ${DOCS_OUTDIR}/.. , these have already been 
copied, remove before installation
+               rm -r "${S}/_build" || die
+               # The program expects to find documentation here, so add a 
symlink to doc
+               dosym "${doc}/html" /opt/hydrus/help
+       fi
+
+       insinto /opt/hydrus
+       doins -r "${S}"/.
+
+       exeinto /usr/bin
+       python_newexe - hydrus-server < <(sed "s/python/${EPYTHON}/" 
"${FILESDIR}/hydrus-server" || die)
+       python_newexe - hydrus-client < <(sed "s/python/${EPYTHON}/" 
"${FILESDIR}/hydrus-client" || die)
+
+       make_desktop_entry "hydrus-client" "Hydrus Client" 
"/opt/hydrus/static/hydrus_non-transparent.png" \
+                                          
"AudioVideo;FileTools;Graphics;Network;"
+}
+
+pkg_postinst() {
+       optfeature "automatic port forwarding support" "net-libs/miniupnpc"
+       optfeature "memory compression in the client" "dev-python/lz4"
+       optfeature "SOCKS proxy support" "dev-python/requests[socks5]" 
"dev-python/PySocks"
+       optfeature "bandwidth charts support" "dev-python/pyside2[charts]" 
"dev-python/pyside6[charts]"
+}

Reply via email to